﻿@using Jumbula.Core.Model.ClubSetting
@model EmailsSettingViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref='Settings'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Emails
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <form novalidate>

        <fieldset>
            <legend>Class confirmation and cancellation emails</legend>
            <div>

                <label>
                    Class confirmation email
                    @*<span class="info-icon" title="%CHILDNAME% :     %CLASSNAME%:     %SEASONNAME%:    %ORGANIZATIONNAME%:"> i </span>*@
                </label>
                <div class="input-control textarea" data-role="input-control">

                    <div>
                        <div class="editor-body" id="bodyeditor" ng-class="{'error-state':MC.isEmpty(errors.formErrors['model.Body'].Messages)}">
                            <div ng-hide="MC.stateParams.templateId || MC.stateParams.templateId == ''" data-toggle="tooltip" data-placement="top" data-original-title="{{MC.joinStringsWithBreak(errors.formErrors['model.Body'].Messages)}}" jb-tooltip data-html="true">
                                <textarea id="editor" kendo-editor k-tools="['fontName','bold','italic','underline','strikethrough','fontSize','justifyLeft','justifyCenter','justifyRight','justifyFull','foreColor','insertUnorderedList','insertOrderedList','indent','outdent','createLink','unlink','insertImage','cleanFormatting','backColor']" k-ng-model="@Html.Ang(m => m.ContentConfirmationEmail)"></textarea>
                            </div>
                        </div>
                    </div>
                </div>
                <a class="place-right button link fa-medium" id="Cancel" style="padding: 10px 12px !important;" ng-click='setConfirmationdefault(@Html.Ang(m => m.DefaultContentConfirmationEmail))'>Reset to default</a>
            </div>
            <br />
            <br />
            <div>
                <label>
                    Class cancellation email
                </label>
                <div class="input-control textarea" data-role="input-control">

                    <div>
                        <div class="editor-body" id="bodyeditor" ng-class="{'error-state':MC.isEmpty(errors.formErrors['model.Body'].Messages)}">
                            <div ng-hide="MC.stateParams.templateId || MC.stateParams.templateId == ''" data-toggle="tooltip" data-placement="top" data-original-title="{{MC.joinStringsWithBreak(errors.formErrors['model.Body'].Messages)}}" jb-tooltip data-html="true">
                                <textarea id="editor" kendo-editor k-tools="['fontName','bold','italic','underline','strikethrough','fontSize','justifyLeft','justifyCenter','justifyRight','justifyFull','foreColor','insertUnorderedList','insertOrderedList','indent','outdent','createLink','unlink','insertImage','cleanFormatting','backColor']" k-ng-model="@Html.Ang(m => m.ContentCancellationEmail)"></textarea>
                            </div>
                        </div>
                    </div>
                </div>
                <a class="place-right button link fa-medium" style="padding: 10px 12px !important;" id="Cancel" ng-click='setCancellationdefault(@Html.Ang(m => m.DefaultContentCancellationEmail))'>Reset to default</a>
            </div>
        </fieldset>

        <fieldset>
            <legend>Absentee email</legend>
            <div>
                <label>Email body</label>
                <div class="input-control textarea" data-role="input-control">
                    <textarea ng-model="@Html.Ang(m => m.ContentAbsentee)" id="AbsenteeBody"></textarea>
                </div>
            </div>
        </fieldset>
        <div class="clearfix"></div>

        <hr />
        <button  ng-click="save()"  class="success large place-right">Save</button>

        <a class="place-left button link large" id="Cancel" ui-sref='Settings'>Cancel</a>

    </form>
    <div class="clearfix"></div>
</div>